   sets      items            names of variables   /x1*x4/
             resources        names of constraints /r1*r4/

  parameter objcoef(items)   objective function coeficients
                      /x1 1, x2 -50000, x3 -40000, x4 -500000/
            rhs(resources)   resource availabilities
                      /r3 6000,r4 300/;

  Table amatrix(resources,items) aij matrix
         x1       x2        x3      x4
    r1    1     -100000   -800000
    r2             5       4       -500
    r3           150000    200000
    r4             50      45          ;

  variables          z objective      function;
  positive variables xvar(items)      variables;
  equations          objfun           objective function
                     avail(resources) resource limits;

  objfun..   z =e= sum(items,objcoef(items)*xvar(items));
  avail(resources).. sum(items,amatrix(resources,items)*xvar(items))
                             =l= rhs(resources);
  option limrow=4;
  option limcol=0;
  model scalemod /all/;
  solve scalemod using lp maximizing z;

  scalemod.scaleopt=1;
  xvar.scale("x2")=1/1e5;
  xvar.scale("x3")=1/1e5;
  solve scalemod using lp maximizing z;
  xvar.scale("x4")=1/1e5;
  solve scalemod using lp maximizing z;
  avail.scale("r2")=1/1e5;
  avail.scale("r4")=1/1e4;
  solve scalemod using lp maximizing z;
  xvar.scale("x4")=1/1e5/10;
  solve scalemod using lp maximizing z;
